Subject: Re: bug#43231: 27.1; hexl-insert-hex-char on an empty file "hexl-current-address: Point is not on a character in the file".

From: Igor Saprykin <[email-masked]>
Date: Sun, 6 Sep 2020 13:55:36 -0700

Thanks for taking a look.  I thought it might be the case that it's
for replacing them.

I do find it confusing, because
1) "insert" in the name of the function.
2) "C-h f" for that function talks about inserting.
3) "C-h f" for hexl-mode talks about inserting.

Admittedly nothing talks about "deleting" things.

Thanks for the C-q pointer.

Best,
Igor

On Sun, Sep 6, 2020 at 10:25 AM Lars Ingebrigtsen <[email-masked]> wrote:
>
> Eli Zaretskii <[email-masked]> writes:
>
> >> 6. Nothing is written into the buffer and the message buffer says
> >> "Point is not on a character file".
>
> [...]
>
> >> The error message could be more helpful, though?
> >
> > Feel free to suggest a better message.
>
> I see now that the error message isn't really "Point is not on a
> character file" (which I found very confusing), but instead "Point is
> not on a character in the file", which I think is OK.
>
> So I agree that there's nothing here to fix, and I'm closing this bug
> report.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no